//! C API functions and interop
use super::{
    *,
    handle::*,
    c::*,
};
use libc::{
    c_int,
};
use std::{
    ptr::NonNull,
};

extern "C" {
    pub fn GHOST_CreateSystem() -> GHOST_SystemHandle;
    pub fn GHOST_SystemInitDebug(_: GHOST_SystemHandle, _: c_int);
    pub fn GHOST_DisposeSystem(_: GHOST_SystemHandle) -> GHOST_TSuccess;
}
